<?php

/*********************************************************************

 バナー付きリンクタグクラウド表示プラグイン(2012/08/25)

 freo.jp
 customize by 32877(http://32877.xii.jp)

*********************************************************************/

/* メイン処理 */
function freo_end_link_tagcloud()
{
	global $freo;

	//リンクタグ取得
	$stmt = $freo->pdo->query('SELECT id, tag FROM ' . FREO_DATABASE_PREFIX . 'plugin_links WHERE tag IS NOT NULL');
	if (!$stmt) {
		freo_error($freo->pdo->errorInfo());
	}

	$link_tags = array();
	while ($data = $stmt->fetch(PDO::FETCH_ASSOC)) {
		foreach (explode(',', $data['tag']) as $tag) {
			if ($tag == '') {
				continue;
			}

			if (isset($link_tags[$tag])) {
				$link_tags[$tag]++;
			} else {
				$link_tags[$tag] = 1;
			}
		}
	}

	ksort($link_tags, SORT_STRING);

	$data = '';
	foreach ($link_tags as $tag => $count) {
		$data .= "$tag,$count\n";
	}

	//リンクタグ情報更新
	if (file_put_contents(FREO_FILE_DIR . 'plugins/link_tagcloud.log', $data) === false) {
		freo_error('ブックマークタグ情報保存ファイル ' . FREO_FILE_DIR . 'plugins/link_tagcloud.log に書き込めません。');
	}

	return;
}

?>
